<?php defined('C5_EXECUTE') or die('Access Denied');

/**
 * Tinkoff Bank Payment package for Concrete CMS Community Store
 *
 * The MIT License (MIT)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:

 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.

 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @copyright 2021-2022, Alex Borisov
 * @package Concrete\Package\community_store_tinkoff
 */

extract($vars);
?>

<div class="mb-3">
    <div class="row mb-3">
        <div class="col-12 col-sm-6">
            <?php
            echo $form->label('tinkoffTerminalKey', t('Tinkoff Terminal Key') . '<span class="text-danger fs-6 ms-3 text-opacity-50">' . t('Required') . '</span>');
            echo $form->text('tinkoffTerminalKey', $tinkoffTerminalKey)
            ?>
        </div>

        <div class="col-12 col-sm-6">
            <?php
            echo $form->label('tinkoffTerminalPassword', t('Tinkoff Terminal Password') . '<span class="text-danger fs-6 ms-3 text-opacity-50">' . t('Required') . '</span>');
            echo $form->text('tinkoffTerminalPassword', $tinkoffTerminalPassword);
            ?>
        </div>
    </div>

    <div class="row mb-3">
        <div class="col-12 col-sm-6">
            <?php
            echo $form->label('tinkoffTax', t('Select Tax System'));
            echo $form->select('tinkoffTax', $taxes, $tinkoffTax);
            ?>
        </div>

        <div class="col-12 col-sm-6">
            <?php
            echo $form->label('tinkoffTaxRate', t('Select Tax Rate'));
            echo $form->select('tinkoffTaxRate', $tax_rates, $tinkoffTaxRate);
            ?>
        </div>
    </div>

    <div class="row mb-3">
        <div class="col-12 col-sm-6">
            <?php
            echo $form->label('tinkoffPaymentObject', t('Select Payment Object'));
            echo $form->select('tinkoffPaymentObject', $payment_objects, $tinkoffPaymentObject);
            ?>
        </div>

        <div class="col-12 col-sm-6">
            <?php
            echo $form->label('tinkoffLanguage', t('Select Language'));
            echo $form->select('tinkoffLanguage', $languages, $tinkoffLanguage);
            ?>
        </div>
    </div>

    <div class="form-check">
        <?php
        echo $form->checkbox('tinkoffTestMode', '1', $tinkoffTestMode ? '1' : '0');
        echo $form->label('tinkoffTestMode', t('Test Mode'));
        ?>
    </div>
    
    <div data-fields="test" style="display: none;">
        <div class="row mb-3">
            <div class="col-12 col-sm-6">
                <?php
                echo $form->label('testTerminalKey', t('Test Terminal Key') . '<span class="text-danger fs-6 ms-3 text-opacity-50">' . t('Required') . '</span>');
                echo $form->text('testTerminalKey', $testTerminalKey)
                ?>
            </div>

            <div class="col-12 col-sm-6">
                <?php
                echo $form->label('testTerminalPassword', t('Test Terminal Password') . '<span class="text-danger fs-6 ms-3 text-opacity-50">' . t('Required') . '</span>');
                echo $form->text('testTerminalPassword', $testTerminalPassword);
                ?>
            </div>
        </div>
    </div>
    <script type="text/javascript">
    $(function() {
        $('#tinkoffTestMode').on('change', function() {
            $('div[data-fields="test"]').toggle($(this).is(':checked'));

            if (!$(this).is(':checked')) {
                $('#testTerminalKey').val('');
                $('#testTerminalPassword').val('');
            }
        }).trigger('change');
    });
    </script>
    
    <?php if ($log_count > 0) { ?>
        <a href="<?php echo Url::to('/dashboard/store/settings/tinkoffclearlog'); ?>" class="btn btn-outline-primary btn-sm"><?php echo t('Clear Payments Log'); ?><span class="badge bg-light text-dark ms-2 p-2"><?php echo $log_count; ?></span></a>
    <?php } ?>
</div>
